package com.malk.kuaikeli;

import cn.hutool.core.util.RandomUtil;
import com.alibaba.fastjson.JSONObject;
import com.malk.kuaikeli.service.KKLService;
import com.malk.kuaikeli.service.SupplierMaterialService;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.service.aliwork.YDClient;
import com.malk.utils.UtilMap;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.HashMap;
import java.util.Map;

@Slf4j
@SpringBootTest
@RunWith(SpringRunner.class)
public class DdTest {

    @Autowired
    private SupplierMaterialService supplierMaterialService;
    @Autowired
    private YDClient ydClient;
    @Autowired
    private KKLService kklService;

    @Test
    public void create(){
//        supplierMaterialService.sync();
        supplierMaterialService.syncPrice();
    }

    @Test
    public void test(){
        Map form = ydClient.queryData(YDParam.builder()
//                .appType("APP_K8EYBJO1GLUWYIXT12DI")
//                .systemToken("7C766871QS1GIKQ68SWX0BS71RSZ1LONSB2PLA")
                .formInstanceId(String.valueOf("FINST-87D66K71SITKC3IR638H7B7ZNYG83GWMS3WVL5CE1"))
                .build(), YDConf.FORM_QUERY.retrieve_id).getFormData();
        System.out.println(JSONObject.toJSONString(form));
//        ydClient.operateData(YDParam.builder()
//                        .appType("APP_YSEVMCWNRJAKT4X1HRWZ")
//                .systemToken("TL7661A1OXSJJ5EI6EPT36859MJT383P9MGUL25")
//                .formUuid("FORM-430FF05A3B89497D9AFE0D89660E1E34HKQ5")
//                .searchCondition(JSONObject.toJSONString(UtilMap.map("textField_lvm4l2i7","1001")))
//                .formDataJson(JSONObject.toJSONString(UtilMap.map("textField_lvm4l2i7, textField_lvm4l2i8, textField_lvm4o3p9","1001","张三", RandomUtil.randomString(10))))
//                .build(), YDConf.FORM_OPERATION.upsert);
    }

    String aa="{\"code\":\"GYS-20240508-015\",\"proCode\":\"XM-20240508-017\",\"rate\":\"[\\\"35\\\",\\\"35\\\",\\\"35\\\",\\\"35\\\",\\\"35\\\"]\",\"rate2\":\"[\\\"35\\\",\\\"35\\\",\\\"35\\\",\\\"35\\\",\\\"35\\\"]\",\"proName\":\"联发芯项目2\",\"type\":\"[\\\"叶菜类\\\",\\\"菌类\\\",\\\"茄果类\\\",\\\"瓜类\\\",\\\"其他蔬菜\\\"]\",\"status\":\"[\\\"已启用\\\",\\\"已启用\\\",\\\"已启用\\\",\\\"已启用\\\",\\\"已启用\\\"]\"}";

    @Test
    public void tt(){
        Map data=JSONObject.parseObject(aa);
        kklService.serviceRate(data);

        try {
            Thread.sleep(1000*100);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void kklTest(){
        Map form = ydClient.queryData(YDParam.builder()
                .formInstanceId(String.valueOf("FINST-87D66K71SITKC3IR638H7B7ZNYG83GWMS3WVL5CE1"))
                .build(), YDConf.FORM_QUERY.retrieve_id).getFormData();
        Map data=new HashMap();
        data.put("name",form.get("textField_lln477nh"));
        data.put("area",form.get("selectField_llm1i9yl"));
        data.put("list",form.get("tableField_lln477nw"));
        kklService.validateApprove(data);
    }
}
